<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/src/i2c.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">i2c.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MINI51 series I2C driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div>
<p><a href="i2c_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gae8701d230c114b4b73757a08d0e23309"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">I2C_Open</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:gae8701d230c114b4b73757a08d0e23309"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make I2C module be ready and set the wanted bus clock.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">More...</a><br /></td></tr>
<tr class="separator:gae8701d230c114b4b73757a08d0e23309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21c950fb4e57a2047b69cb811003fa9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">I2C_Close</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga21c950fb4e57a2047b69cb811003fa9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function closes the I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">More...</a><br /></td></tr>
<tr class="separator:ga21c950fb4e57a2047b69cb811003fa9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">I2C_ClearTimeoutFlag</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the timeout flag.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">More...</a><br /></td></tr>
<tr class="separator:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29b31f62a804d8127bc8d480f5140856"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">I2C_Trigger</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Start, uint8_t u8Stop, uint8_t u8Si, uint8_t u8Ack)</td></tr>
<tr class="memdesc:ga29b31f62a804d8127bc8d480f5140856"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets the control bit of the I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">More...</a><br /></td></tr>
<tr class="separator:ga29b31f62a804d8127bc8d480f5140856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">I2C_DisableInt</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the interrupt (EI bit) of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">More...</a><br /></td></tr>
<tr class="separator:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c48aae047e67d4484009b3f56f78e74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">I2C_EnableInt</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga7c48aae047e67d4484009b3f56f78e74"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the interrupt (EI bit) of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">More...</a><br /></td></tr>
<tr class="separator:ga7c48aae047e67d4484009b3f56f78e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">I2C_GetBusClockFreq</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the real bus clock of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">More...</a><br /></td></tr>
<tr class="separator:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga270c59858dcbe767fdfa7aec2247aab5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">I2C_SetBusClockFreq</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ga270c59858dcbe767fdfa7aec2247aab5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the interrupt (EI bit) of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">More...</a><br /></td></tr>
<tr class="separator:ga270c59858dcbe767fdfa7aec2247aab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad181ccedfb141167da8faf8ef279ba92"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">I2C_GetIntFlag</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gad181ccedfb141167da8faf8ef279ba92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function gets the interrupt flag (SI bit) of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">More...</a><br /></td></tr>
<tr class="separator:gad181ccedfb141167da8faf8ef279ba92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga87ee3e2d3837de97391187449bb66af2"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">I2C_GetStatus</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga87ee3e2d3837de97391187449bb66af2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the status of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">More...</a><br /></td></tr>
<tr class="separator:ga87ee3e2d3837de97391187449bb66af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94200ddc2f4cb709f477c40f955f1dba"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">I2C_GetData</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga94200ddc2f4cb709f477c40f955f1dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the data stored in data register of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">More...</a><br /></td></tr>
<tr class="separator:ga94200ddc2f4cb709f477c40f955f1dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">I2C_SetData</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Data)</td></tr>
<tr class="memdesc:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function writes the data to data register of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">More...</a><br /></td></tr>
<tr class="separator:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5af4856de07386b9f5feaccf1151a2b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">I2C_SetSlaveAddr</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddr, uint8_t u8GCMode)</td></tr>
<tr class="memdesc:ga5af4856de07386b9f5feaccf1151a2b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure slave address and enable GC mode.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">More...</a><br /></td></tr>
<tr class="separator:ga5af4856de07386b9f5feaccf1151a2b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d0b902bc72f1344225974be9cb04a68"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">I2C_SetSlaveAddrMask</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddrMask)</td></tr>
<tr class="memdesc:ga1d0b902bc72f1344225974be9cb04a68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the mask of slave address. The corresponding address bit is "Don't Care".  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">More...</a><br /></td></tr>
<tr class="separator:ga1d0b902bc72f1344225974be9cb04a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40af7f5199f9ecfeb12346dd06795e30"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">I2C_EnableTimeout</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8LongTimeout)</td></tr>
<tr class="memdesc:ga40af7f5199f9ecfeb12346dd06795e30"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables timeout function and configures DIV4 function to support long timeout.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">More...</a><br /></td></tr>
<tr class="separator:ga40af7f5199f9ecfeb12346dd06795e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">I2C_DisableTimeout</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables timeout function.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">More...</a><br /></td></tr>
<tr class="separator:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3873e5f04b3bb39022790f79a11e207"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">I2C_EnableWakeup</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gab3873e5f04b3bb39022790f79a11e207"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the wakeup function of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">More...</a><br /></td></tr>
<tr class="separator:gab3873e5f04b3bb39022790f79a11e207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga836afb05deae9304e7090e511be42592"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">I2C_DisableWakeup</a> (<a class="el" href="struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga836afb05deae9304e7090e511be42592"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the wakeup function of I2C module.  <a href="group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">More...</a><br /></td></tr>
<tr class="separator:ga836afb05deae9304e7090e511be42592"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MINI51 series I2C driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>11 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/05/26 4:27p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="i2c_8c_source.html">i2c.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
